* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

li {
    list-style: none;
}

.page__body {
    background: #EEE;
    font-family: "Inter", sans-serif;
}

.page__content-wrapper {
    position: relative;
    overflow: hidden;
}

.header {
    padding-top: 8px;
}

@media screen and (min-width: 1024px) {
    .header__top-wrapper {
        display: flex;
        align-items: center;
        max-width: 1023px;
        width: 100%;
        margin: 0 auto;
    }
}

.header__logo-link {
    display: block;
    height: 22px;
    width: 140px;
    margin: 0 auto 8px auto;
}

@media screen and (min-width: 1024px) {
    .header__logo-link {
        margin: 0 24px 0 0;
    }
}

.header__logo {
    height: 100%;
    width: 100%;
}

.header__search-wrapper {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    height: 40px;
    width: calc(100% - 32px);
    background-color: #FFF;
    border-radius: 5px;
    margin: 0 auto;
}

.header__search-icon {
    position: absolute;
    top: 8px;
    left: 16px;
    height: 24px;
    width: 24px;
    background-image: url(../images/search.svg);
    background-repeat: no-repeat;
    background-size: cover;
    margin-right: 24px;
}

.header__search-input {
    height: 100%;
    width: 100%;
    border-radius: 5px;
    border: 1px solid transparent;
    outline: none;
    color: #000;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    padding: 8px 16px 8px 64px;
}

.header__search-input:active,
.header__search-input:focus {
    border-color: #0B5917;
}

.header__search-input::placeholder {
    color: #D9D9D9;
}

.header__navigation {
    display: none;
}

@media screen and (min-width: 600px) {
    .header__navigation {
        display: flex;
        background-color: #FFF;
        padding: 12px 10px;
        margin-top: 16px;
    }
}

@media screen and (min-width: 600px) {
    .header__navigation-list {
        display: flex;
        align-items: center;
        justify-content: space-between;
        row-gap: 4px;
        flex-wrap: wrap;
        max-width: 1023px;
        width: 100%;
        margin: 0 auto;
    }

    .header__navigation-item {
        display: flex;
        align-items: center;
        justify-content: center;
        height: 35px;
    }
}

@media screen and (min-width: 600px) {
    .header__navigation-link {
        color: #0B5917;
        font-size: 16px;
        font-style: normal;
        font-weight: 700;
        line-height: normal;
        text-decoration: none;
        padding: 8px 12px;
        border-radius: 100px;
        transition: color .15s ease-in-out, background-color .15s ease-in-out;
    }

    .header__navigation-link--discount {
        color: #FF0000;
    }

    .header__navigation-link--btn {
        color: #FFF;

        background-color: #23BB3A;
        border: 2px solid transparent;
    }

    .header__navigation-link:active {
        border-radius: 100px;
        background-color: #0B5917;
        color: #FFF;
    }

    .header__navigation-link--discount:active {
        background-color: #F00;
        color: #FFF;
    }

    .header__navigation-link--btn:active {
        border: 2px solid #23BB3A;
        background: #FFF;
        color: #23BB3A;
    }
}

@media screen and (min-width: 1024px) {
    .header__navigation-link:hover {
        border-radius: 100px;
        background-color: #0B5917;
        color: #FFF;
    }

    .header__navigation-link--discount:hover {
        background-color: #F00;
        color: #FFF;
    }

    .header__navigation-link--btn:hover {
        border: 2px solid #23BB3A;
        background: #FFF;
        color: #23BB3A;
    }
}

.page__container {
    max-width: 359px;
    width: 100%;
    padding: 0 16px;
    margin: 0 auto;
}

@media screen and (min-width: 360px) {
    .page__container {
        max-width: 599px;
    }
}

@media screen and (min-width: 600px) {
    .page__container {
        max-width: 1023px;
    }
}

@media screen and (min-width: 1024px) {
    .page__container {
        max-width: 1024px;
        padding: 0 6px;
    }
}

.page__hero-image-wrapper {
    width: 100%;
    margin: 24px 0;
}

.page__hero-image {
    position: relative;
    width: 100%;
    height: clamp(108.182px, 108.182px + (149.091 - 108.182) * ((100vw - 270px) / (359 - 270)), 149.091px);
    border-radius: 8px;
}

@media screen and (min-width: 360px) {
    .page__hero-image {
        height: clamp(149.09px, 149.09px + (257.727 - 149.09) * ((100vw - 360px) / (599 - 360)), 257.727px);
    }
}

@media screen and (min-width: 600px) {
    .page__hero-image {
        height: clamp(272.73px, 272.73px + (450.455 - 272.73) * ((100vw - 600px) / (1023 - 600)), 450.455px);
        border-radius: 20px;
    }
}

@media screen and (min-width: 1024px) {
    .page__hero-image {
        height: 460px
    }
}

.page__list {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 4px;
    list-style: none;
}

@media screen and (min-width: 360px) {
    .page__list {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media screen and (min-width: 600px) {
    .page__list {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media screen and (min-width: 1024px) {
    .page__list {
        grid-template-columns: repeat(4, 1fr);
    }
}

.page__item {
    display: flex;
    flex-direction: column;
    height: 100%;
    border-radius: 20px;
    background: #FFF;
    padding: 16px;
}

.page__item-image {
    border-radius: 8px;
    width: 100%;
    margin-bottom: 12px;
}

.page__item-text-wrapper {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    flex-grow: 1;
    margin-bottom: 8px;
}

.page__item-text {
    color: #000;
    font-size: 14px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-bottom: 4px;
}

.page__score-wrapper {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    margin-bottom: 16px;
}

.page__stars-wrapper {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    margin-right: 8px;
}

.page__star {
    height: 14px;
    width: 14px;
    background-image: url(../images/star.svg);
    background-repeat: no-repeat;
    background-size: cover;
    margin-right: 4px;
}

.page__star:last-child {
    margin-right: 0;
}

.page__star--active {
    background-image: url(../images/star-active.svg);
}

.page__score-count {
    color: #000;
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

.page__price-wrapper {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;
    margin-top: auto;
}

.page__price {
    color: #000;
    font-size: 24px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    margin-top: auto;
}

.page__price--old {
    align-self: flex-end;
    color: #888;
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    text-decoration-line: line-through;
    margin-right: 8px;
}

.page__discount {
    color: #FFF;
    font-size: 14px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    padding: 6px 12px;
    border-radius: 100px;
    background: #F00;
    margin-left: 8px;
}

.page__add-button {
    width: 100%;
    color: #FFF;
    font-size: 12px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    border-radius: 100px;
    background: #23BB3A;
    border: none;
    padding: 8px 0;
}

.footer {
    background: #FAFAFA;
    padding: 20px 16px;
    margin-top: 24px;
}

@media screen and (min-width: 1024px) {
    .footer {
        padding: 40px 12px;
    }
}

.footer__description-wrapper {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    max-width: 1012px;
    width: 100%;
    margin: 0 auto;
}

.footer__description-wrapper p {
    color: #000;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin-bottom: 10px;
}

.footer__description-wrapper p:last-child {
    margin-bottom: 0;
}

.popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    justify-content: center;
    align-items: center;
    z-index: 10;
}

.popup--active {
    display: flex;
}

.popup__content {
    padding: 24px;
    width: 320px;
    max-width: 400px;
    position: relative;
    border-radius: 16px;
    border: 1px solid #23BB3A;
    background: #FFF;
    box-shadow: 0 4px 18px 0 rgba(0, 0, 0, 0.25);
    z-index: 9999;
}

.popup__close {
    position: absolute;
    top: 10px;
    right: 15px;
    background: none;
    border: none;
    height: 24px;
    width: 24px;
    cursor: pointer;
    color: #000;
}

.popup__close svg {
    height: 24px;
    width: 24px;
}

.popup__title {
    font-size: 14px;
    font-weight: 700;
    line-height: normal;
    color: #000;
    margin-bottom: 10px;
}

.popup__price-row {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 16px;
}

.popup__text {
    font-size: 14px;
    font-weight: 700;
    margin-bottom: 10px;
    color: #000;
}

.popup__input-wrapper {
    position: relative;
    margin-bottom: 10px;
}

.popup__input-decor {
    position: absolute;
    top: 50%;
    left: 8px;
    transform: translateY(-50%);
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.popup__input-arrow {

    margin: 0 10px 4px 10px;
}

.popup__input {
    width: 100%;
    padding: 10px 8px 10px 83px;
    border: 1px solid #C8C9D3;
    border-radius: 5px;
    color: #000000;
    font-size: 14px;
    outline: none;
}

.popup__input:active,
.popup__input:focus {
    border-color: #0B5917;
}

.popup__input-code {
    color: #000;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.popup__input::placeholder {
    color: #9194A7;
}

.popup__submit {
    width: 100%;
    font-size: 12px;
}